/**
 * Copyright IBM Corp. 2020, 2026
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

import { getDevtoolsProps } from "../../global/js/utils/devtools.js";
import { Card } from "../Card/Card.js";
import React from "react";
import PropTypes from "prop-types";

//#region src/components/GetStartedCard/GetStartedCard.tsx
/**
* Copyright IBM Corp. 2024, 2024
*
* This source code is licensed under the Apache-2.0 license found in the
* LICENSE file in the root directory of this source tree.
*/
const componentName = "GetStartedCard";
/**
* GetStartedCard a card with icon, number, and media variants
*/
const GetStartedCard = React.forwardRef((props, ref) => {
	return /* @__PURE__ */ React.createElement(Card, {
		...props,
		ref,
		getStarted: true,
		...getDevtoolsProps(componentName)
	});
});
GetStartedCard.displayName = componentName;
GetStartedCard.propTypes = {
	className: PropTypes.string,
	disabled: PropTypes.bool,
	footerActionIcon: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
	label: PropTypes.oneOfType([PropTypes.string, PropTypes.node]),
	media: PropTypes.node,
	metadata: PropTypes.arrayOf(PropTypes.shape({
		id: PropTypes.string,
		icon: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
		iconDescription: PropTypes.string
	})),
	onClick: PropTypes.func.isRequired,
	pictogram: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
	sequence: PropTypes.number,
	status: PropTypes.oneOf(["complete", "incomplete"]),
	title: PropTypes.oneOfType([PropTypes.string, PropTypes.node])
};

//#endregion
export { GetStartedCard };